Bug 439925 - system-config-kickstart requires repoid of [main] to locate package info
system-config-kickstart requires repoid of [main] to locate package info
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-kickstart (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 19:47 EDT by Charles Butterfield
Modified: 2009-09-09 16:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-09 16:17:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Butterfield 2008-03-31 19:47:37 EDT
Description of problem: system-config-kickstart requires repoid of [main] to
locate package info. I noticed this when using a custom  repo config file in
which I had edited all of the repo-ids (by appending a suffix indicating the
source, e.g. "-localHTTP", "-localDisk", etc) and had also disabled the default
repo config file.

This is not a big deal, but the software would be a bit more robust if it didn't
depend on the repo-id, but just the repo contents.


Version-Release number of selected component (if applicable): 2.6.19.1

How reproducible: Always

Steps to Reproduce:
1. Edit /etc/yum.repos.d/*Base.repo and alter repoid of [main] to [foomain]
2. Run system-config-kickstart
3. Package information not found
  
Actual results: Package information not found
Expected results:Package information found
Additional info:
Comment 1 Victor Ashik 2008-04-22 10:45:02 EDT
I can confirm the bug, but with different repo-id name: core, base and
develoment are working for me, I found the names on a line 252 in
/usr/share/system-config-kickstart/packages.py:

        # If we're on a release, we want to try the base repo first.  Otherwise,
        # try development.  If neither of those works, we have a problem.
        if "base" in map(lambda repo: repo.id, self.repos.listEnabled()):
            repoorder = ["core", "base", "development"]
        else:
            repoorder = ["development", "core", "base"]
Comment 2 Chris Lumens 2009-09-09 16:17:03 EDT
We've got to get a "base" repo somehow in order to provide an interface that lets you select packages that'll give you an installable system.  Otherwise, you could just be showing a list of a handful of random add-on packages instead of something really useful to provide an installation from.  And there's no good way to determine what's a base repo and what's not unless we stick with the names.  It's a pretty gross hack, I agree, but I can't see a better way to accomplish it than what I'm already doing.

Note You need to log in before you can comment on or make changes to this bug.